

import 'package:mohem_flutter_app/models/profile/get_contact_details_list.dart';

class GetContactColsStructureList {
  String? aPPLICATIONCOLUMNNAME;
  String? dATATYPE;
  String? dISPLAYFLAG;
  int? gROUPNUM;
  dynamic? mAXIMUMSIZE;
  String? oBJECTNAME;
  String? oBJECTTYPE;
  List<ObjectValuesList>? objectValuesList;
  //List<dynamic>? objectValuesList;
  String? rEQUIREDFLAG;
  String? sEGMENTPROMPT;
  int? sEGMENTSEQNUM;
  GetContactDetailsList?  getContactDetailsList;

  GetContactColsStructureList(
      {this.aPPLICATIONCOLUMNNAME,
        this.dATATYPE,
        this.dISPLAYFLAG,
        this.gROUPNUM,
        this.mAXIMUMSIZE,
        this.oBJECTNAME,
        this.oBJECTTYPE,
        this.objectValuesList,
        this.rEQUIREDFLAG,
        this.sEGMENTPROMPT,
        this.sEGMENTSEQNUM,
        this.getContactDetailsList});

  GetContactColsStructureList.fromJson(Map<String, dynamic> json) {
    aPPLICATIONCOLUMNNAME = json['APPLICATION_COLUMN_NAME'];
    dATATYPE = json['DATATYPE'];
    dISPLAYFLAG = json['DISPLAY_FLAG'];
    gROUPNUM = json['GROUP_NUM'];
    mAXIMUMSIZE = json['MAXIMUM_SIZE'];
    oBJECTNAME = json['OBJECT_NAME'];
    oBJECTTYPE = json['OBJECT_TYPE'];
    if (json['ObjectValuesList'] != null) {
      objectValuesList = <ObjectValuesList>[];
      json['ObjectValuesList'].forEach((v) {
        objectValuesList!.add(new ObjectValuesList.fromJson(v));
      });
    }
    rEQUIREDFLAG = json['REQUIRED_FLAG'];
    sEGMENTPROMPT = json['SEGMENT_PROMPT'];
    sEGMENTSEQNUM = json['SEGMENT_SEQ_NUM'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    data['APPLICATION_COLUMN_NAME'] = this.aPPLICATIONCOLUMNNAME;
    data['DATATYPE'] = this.dATATYPE;
    data['DISPLAY_FLAG'] = this.dISPLAYFLAG;
    data['GROUP_NUM'] = this.gROUPNUM;
    data['MAXIMUM_SIZE'] = this.mAXIMUMSIZE;
    data['OBJECT_NAME'] = this.oBJECTNAME;
    data['OBJECT_TYPE'] = this.oBJECTTYPE;
    if (this.objectValuesList != null) {
      data['ObjectValuesList'] =
          this.objectValuesList!.map((v) => v.toJson()).toList();
    }
    data['REQUIRED_FLAG'] = this.rEQUIREDFLAG;
    data['SEGMENT_PROMPT'] = this.sEGMENTPROMPT;
    data['SEGMENT_SEQ_NUM'] = this.sEGMENTSEQNUM;
    return data;
  }
}

class ObjectValuesList {
  String? cODE;
  String? dESCRIPTION;
  String? mEANING;

  ObjectValuesList({this.cODE, this.dESCRIPTION, this.mEANING});

  ObjectValuesList.fromJson(Map<String, dynamic> json) {
    cODE = json['CODE'];
    dESCRIPTION = json['DESCRIPTION'];
    mEANING = json['MEANING'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = new Map<String, dynamic>();
    data['CODE'] = this.cODE;
    data['DESCRIPTION'] = this.dESCRIPTION;
    data['MEANING'] = this.mEANING;
    return data;
  }
}